Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.nls
Class FormatNLSEntry

    java.lang.Object
      jet.server.api.nls.NLSEntry
          jet.server.api.nls.FormatNLSEntry

All Implemented Interfaces:
  java.io.Serializable

    public class FormatNLSEntry

extends NLSEntry

The TextNLSEntry is one of NLSEntry, it was used to transform display text while exporting report to file. A TextNLSEntry has three properties--type, key text, value text. The type specify the type of TextNLSEntry, and its value has four choices--NLSType.LABEL, NLSType.COLUMN, NLSType.PROMPT, NLSType.TOC. The type and key text specify a TextNLSEntry uniquely. When the running of a task is finished, the result of task will be exported to a file. During the exporting process, all the display text in result, which were same with the TextNLSEntry-- their type and key text are same would be translated into value text.

See Also:
  `GlobalNSLLibrary`, `NLSEntry`, `FormatNLSEntry`, Serialized Form

Constructor Summary
`FormatNLSEntry(java.lang.String keyFormat)` The construct method of TextNLSEntry.
`FormatNLSEntry(java.lang.String keyFormat, java.lang.String valueFormat)` The construct method of TextNLSEntry.

Method Summary
`boolean` | `equals(java.lang.Object obj)` The equals method of TextNLSEntry.
`java.lang.String` | `getKeyFormat()` Gets the keyText of a TextNLSEntry.
`java.lang.String` | `getValueFormat()` Gets the valueText of a TextNLSEntry.
`int` | `hashCode()` The hashCode method of TextNLSEntry.
`void` | `setKeyFormat(java.lang.String keyFormat)` Sets the keyText of a TxetNLSEntry.
`void` | `setValueFormat(java.lang.String valueFormat)` Sets the valueText of TextNLSEntry.
`java.lang.String` | `toString()` The toString method of TextNLSEntry.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormatNLSEntry

    public FormatNLSEntry(java.lang.String keyFormat)

  The construct method of TextNLSEntry.

  Parameters:
    `The` - type of TextNLSEntry.
    `The` - keyText of TextNLSEntry.

### FormatNLSEntry

    public FormatNLSEntry(java.lang.String keyFormat,
                          java.lang.String valueFormat)

  The construct method of TextNLSEntry.

  Parameters:
    `The` - type of TextNLSEntry.
    `The` - keyText of TextNLSEntry.
    `The` - valueText of TextNLSEntry.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  The equals method of TextNLSEntry.

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  The hashCode method of TextNLSEntry.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  The toString method of TextNLSEntry.

  Overrides:
    `toString` in class `java.lang.Object`

### getKeyFormat

    public java.lang.String getKeyFormat()

  Gets the keyText of a TextNLSEntry.

  Returns:
    A string, which is the keyText of a TextNLSEntry.

### setKeyFormat

    public void setKeyFormat(java.lang.String keyFormat)

  Sets the keyText of a TxetNLSEntry.

  Parameters:
    `A` - String, which is the keyText of a TextNLSEntry.

### getValueFormat

    public java.lang.String getValueFormat()

  Gets the valueText of a TextNLSEntry.

  Returns:
    Return a string, which is the valueText of a TextNLSEntry.

### setValueFormat

    public void setValueFormat(java.lang.String valueFormat)

  Sets the valueText of TextNLSEntry.

  Parameters:
    `A` - string, which is the valueText of TextNLSEntry.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD